﻿using Hotline.Share.Enums.Order;
using XF.Utility.EnumExtensions;

namespace Hotline.Share.Dtos.Order
{
    public class OrderModifyingRecordsDto
    {
        /// <summary>
        /// 工单ID
        /// </summary>
        public string OrderId { get; set; }

        /// <summary>
        /// 工单编号
        /// </summary>
        public string OrderNo { get; set; }

        /// <summary>
        /// 省编号
        /// </summary>
        public string ProvinceNo { get; set; }

        /// <summary>
        /// 修改类型
        /// </summary>
        public EUpdateType UpdateOrderType { get; set; }
        public string UpdateOrderTypeText => UpdateOrderType.GetDescription();
        /// <summary>
        /// 旧值
        /// </summary>
        public string OldValue { get; set; }

        /// <summary>
        /// 新值
        /// </summary>
        public string NewValue { get; set; }

        /// <summary>
        /// 修改人
        /// </summary>
        public string? CreatorName { get; set; }

        /// <summary>
        /// 修改部门
        /// </summary>
        public string? CreatorOrgName { get; set; }

        /// <summary>
        /// 修改时间
        /// </summary>
        public DateTime CreationTime { get; set; }
    }
}
