﻿using Hotline.CallCenter.Calls;
using Hotline.Share.Dtos.CallCenter;
using SqlSugar;

namespace Hotline.Application.StatisticalReport
{
    public interface ICallReportApplication
    {
        /// <summary>
        /// 话务日期明细
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task<List<QueryCallsDetailDto>> QueryCallsDetailAsync(BiQueryCallsDto dto);

        /// <summary>
        /// 话务日期明细-呼入总量/接通总量
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        ISugarQueryable<TrCallRecord> QueryCallsDetailInTotalAsync(BiQueryCallsDto dto);

    }
}
