﻿using Hotline.Share.Requests;

namespace Hotline.Share.Dtos.CallCenter;

public record BiQueryCallsDto: ReportPagedRequest
{
    /// <summary>
    /// 线路
    /// </summary>
    public string? Line { get; set; }

    /// <summary>
    /// 查询类型 1：呼入总量明细；2：接通总量明细
    /// </summary>
    public string? TypeCode { get; set; } = "1";
}